/*
 * Copyright (C) 2012 sourcecoding.com / Matthias Reining
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.sourcecoding.multitenancy;

import java.io.Serializable;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.MappedSuperclass;
import javax.persistence.OneToMany;


/**
 * @author matthias reining
 */
@MappedSuperclass
public class AbstractMultiTenancyUser implements Serializable {

	private static final long serialVersionUID = 1L;

	private String username;
	private String password;
	private String tenant;

	@OneToMany(mappedBy = "multiTenancyUser", cascade = CascadeType.ALL)
	private List<AbstractMultiTenancyUserRole> roles;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getTenant() {
		return tenant;
	}

	public void setTenant(String tenant) {
		this.tenant = tenant;
	}

	public List<AbstractMultiTenancyUserRole> getRoles() {
		return roles;
	}

	public void setRoles(List<AbstractMultiTenancyUserRole> roles) {
		this.roles = roles;
	}
}
